Gecode::Set::Precede::Single< View >::Index Class Reference

Advisors for views (by position in array) More...

`#include <precede.hh>`

## Public Member Functions

| Index (Space &home, Propagator &p, Council< Index > &c, int i)
| Create index advisor.
| Index (Space &home, Index &a)
| Clone index advisor a.
Public Member Functions inherited from Gecode::Advisor
template<class A>
| Advisor (Space &home, Propagator &p, Council< A > &c)
| Constructor for creation.
| Advisor (Space &home, Advisor &a)
| Copying constructor.
const ViewTraceInfo & | operator() (const Space &home) const
| Provide access to view trace information.
template<class A>
void | dispose (Space &home, Council< A > &c)
| Dispose the advisor.

## Public Attributes

int | i
| The position of the view in the view array.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
Protected Member Functions inherited from Gecode::Advisor
Propagator & | propagator (void) const
| Return the advisor's propagator.

## Detailed Description

template<class View>
class Gecode::Set::Precede::Single< View >::Index

Advisors for views (by position in array)

Definition at line 67 of file precede.hh.

## Constructor & Destructor Documentation

## Index() [1/2]

template<class View>

Gecode::Set::Precede::Single< View >::Index::Index | ( | Space & | home,
|  | Propagator & | p,
|  | Council< Index > & | c,
|  | int | i )

inline

Create index advisor.

Definition at line 44 of file single.hpp.

## Index() [2/2]

template<class View>

Gecode::Set::Precede::Single< View >::Index::Index | ( | Space & | home,
|  | Index & | a )

inline

Clone index advisor a.

Definition at line 50 of file single.hpp.

## Member Data Documentation

## i

template<class View>

int Gecode::Set::Precede::Single< View >::Index::i

The position of the view in the view array.

Definition at line 70 of file precede.hh.

The documentation for this class was generated from the following files:

- gecode/set/precede.hh
- gecode/set/precede/single.hpp